Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.common.domain
Interface Query

All Superinterfaces:
  org.acegisecurity.acl.basic.AclObjectIdentity, AttributedObject, InternalURI, Resource, java.io.Serializable

All Known Implementing Classes:
  QueryImpl

    public interface Query

extends Resource

Version:
  $Id: Query.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary

Fields inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`URI_PROTOCOL, VERSION_NEW`

Method Summary
`ResourceReference` | `getDataSource()`
`java.lang.String` | `getLanguage()`
`java.lang.String` | `getSql()` TODO rename?
`void` | `setDataSource(ReportDataSource dataSource)`
`void` | `setDataSource(ResourceReference dataSourceReference)`
`void` | `setDataSourceReference(java.lang.String referenceURI)`
`void` | `setLanguage(java.lang.String language)`
`void` | `setSql(java.lang.String sql)`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`getCreationDate, getDescription, getLabel, getName, getParentFolder, getResourceType, getURIString, getVersion, isNew, setCreationDate, setDescription, setLabel, setName, setParentFolder, setParentFolder, setURIString, setVersion`

Methods inherited from interface com.jaspersoft.jasperserver.api.common.domain.AttributedObject
`getAttributes, setAttributes`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.InternalURI
`getParentPath, getParentURI, getPath, getProtocol, getURI`

Methods inherited from interface org.acegisecurity.acl.basic.AclObjectIdentity
`equals, hashCode`

Method Detail

### getDataSource

    ResourceReference getDataSource()

### setDataSource

    void setDataSource(ResourceReference dataSourceReference)

### setDataSource

    void setDataSource(ReportDataSource dataSource)

### setDataSourceReference

    void setDataSourceReference(java.lang.String referenceURI)

### getSql

    java.lang.String getSql()

  TODO rename?

  Returns:

### setSql

    void setSql(java.lang.String sql)

### getLanguage

    java.lang.String getLanguage()

### setLanguage

    void setLanguage(java.lang.String language)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.